<head>
<style>

.ui-datepicker {
    width: 300px;
    margin: 5px auto 0;
    font: 12pt Arial, sans-serif;
    background: white;
    /*-webkit-box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, .5);
    -moz-box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, .5);*/
}

    .ui-datepicker table {
        width: 100%;
    }

.ui-datepicker-header {
    background: #3399ff;
    color: #ffffff;
    font-family:'Times New Roman';
    border-width: 1px 0 0 0;
    border-style: solid;
    border-color: #111;
}

.ui-datepicker-title {
    text-align: center;
    font-size: 15px;

}

.ui-datepicker-prev {
    float: left;
    cursor: pointer;
    background-position: center -30px;
}

.ui-datepicker-next {
    float: right;
    cursor: pointer;
    background-position: center 0px;
}

.ui-datepicker thead {
    background-color: #f7f7f7;

    /*border-bottom: 1px solid #bbb;*/
}

.ui-datepicker th {
    background-color:#808080;
    text-transform: uppercase;
    font-size: 8pt;
    color: #666666;
    /*text-shadow: 1px 0px 0px #fff;*/
    /*filter: dropshadow(color=#fff, offx=1, offy=0);*/
}

.ui-datepicker tbody td {
    padding: 0;
    /*border-right: 1px solid #808080;*/
}

    .ui-datepicker tbody td:last-child {
        border-right: 0px;
    }

.ui-datepicker tbody tr {
    border-bottom: 1px solid #bbb;
}

    .ui-datepicker tbody tr:last-child {
        border-bottom: 0px;
    }

.ui-datepicker a {
    text-decoration: none;
}


</style>
</head>
<body>
<h2><?php _e('Holidays', 'ph-ups-order-delivery-based-pickup' ); ?></h2>
<form method="post" name="interval">
<table id="ph_estimated_delivery_holiday_table" class="wp-list-table widefat">
    <thead>
        <tr>
            <th class="check-column" style="padding: 0px; vertical-align: middle;"><input type="checkbox" /></th>
            <th><?php _e('Name', 'ph-ups-order-delivery-based-pickup' ); ?></th>
            <th><?php _e('From', 'ph-ups-order-delivery-based-pickup'); ?></th>
            <th><?php _e('To', 'ph-ups-order-delivery-based-pickup'); ?></th>
        </tr>
    </thead>
    <tbody>
        <?php
        $this->holiday_table    = array();
        $this->holidays		= get_option( 'ph_estimated_delivery_holiday' );
        $this->holidays         = empty($this->holidays) ? array() : $this->holidays;
        for( $i=0; $i < count($this->holidays); $i++ ) {
            if( !empty($this->holidays[$i]['name']) && !empty($this->holidays[$i]['from'] ) && !empty($this->holidays[$i]['to'] ) )
            {
                $this->holiday_table[$i]['name'] = $this->holidays[$i]['name'];
                $this->holiday_table[$i]['from'] = $this->holidays[$i]['from'];
                $this->holiday_table[$i]['to'] = $this->holidays[$i]['to'];
            }
        }
        if(count($this->holiday_table)>0)
        {
            foreach ( $this->holiday_table as $key => $value ){
            ?>

            <tr>
                <td class="check-column" style="padding: 9px; vertical-align: middle;">
                    <input type="checkbox" />
                </td>
                <td>
                    <input type="text" placeholder="Holiday Name"  name="ph_estimated_delivery_holiday[<?php echo $key; ?>][name]" value="<?php echo isset( $this->holiday_table[ $key ]['name'] ) ? $this->holiday_table[ $key ]['name'] : ''; ?>"/>
                </td>
                <td>
                    <input type="text" placeholder="dd/mm/yyyy" class="wf_date date-picker" name="ph_estimated_delivery_holiday[<?php echo $key; ?>][from]" value="<?php echo isset( $this->holiday_table[ $key ]['from'] ) ? $this->holiday_table[ $key ]['from'] : ''; ?>" />
                </td>
                <td >
                    <input type="text" placeholder="dd/mm/yyyy" class="wf_date date-picker" name="ph_estimated_delivery_holiday[<?php echo $key; ?>][to]" value="<?php echo isset( $this->holiday_table[ $key ]['to'] ) ? $this->holiday_table[ $key ]['to'] : ''; ?>" />
                </td>
            </tr>
            <?php $i++;
            }
        }
        else
        {   ?>
            <tr>
                <td class="check-column" style="padding: 9px; vertical-align: middle;">
                    <input type="checkbox" />
                </td>
                <td>
                    <input type="text"  name="ph_estimated_delivery_holiday[0][name]" placeholder="Holiday Name" value=""/>
                </td>
                <td>
                    <input type="text"  class="wf_date" name="ph_estimated_delivery_holiday[0][from]" placeholder="dd/mm/yyyy" value="" />
                </td>
                <td >
                    <input type="text" class="wf_date" name="ph_estimated_delivery_holiday[0][to]" placeholder="dd/mm/yyyy" value="" />
                </td>
            </tr>
        <?php    
        }
        ?>
    </tbody>
    <tfoot>
        <tr>
            <th colspan="4">
                <a href="#" class="button plus insert"><?php _e( 'Add Holiday', 'ph-ups-order-delivery-based-pickup' ); ?></a>
                <a href="#" class="button minus remove"><?php _e( 'Remove Holiday(s)', 'ph-ups-order-delivery-based-pickup' ); ?></a>
            </th>
        </tr>
    </tfoot>
    <div>
        <p><?php _e('You can mark holidays using the date range in this tab. <br>For the particular date range, the plugin will not consider the days for estimation of UPS pickup (For single day holiday, set same date for both from and to).', 'ph-ups-order-delivery-based-pickup'); ?>
        </p>
    <div>
</table>
<input type="submit" style="margin: 10px;" class="button button-primary" value="Save Changes">
</form>

<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.11/jquery-ui.min.js"></script>
<script type="text/javascript">

    jQuery(window).load(function(){
        jQuery('#ph_estimated_delivery_holiday_table .insert').click( function() {
            var tbody = jQuery('#ph_estimated_delivery_holiday_table').find('tbody');
            var size = tbody.find('tr').length;
            var code = '<tr>\
                            <td class="check-column" style="padding: 9px; vertical-align: middle;">\
                            <input type="checkbox" />\
                        </td>\
                        <td>\
                            <input type="text" placeholder="<?php _e( 'Holiday Name', 'ph-ups-order-delivery-based-pickup' ); ?>" name="ph_estimated_delivery_holiday['+size+'][name]" value=""/>\
                        </td>\
                        <td>\
                            <input type="text" placeholder="dd/mm/yyyy" class="wf_date" name="ph_estimated_delivery_holiday['+size+'][from]" value=""/>\
                        </td>\
                        <td >\
                            <input type="text" placeholder="dd/mm/yyyy" class="wf_date" name="ph_estimated_delivery_holiday['+size+'][to]" value="" />\
                        </td>\
                    </tr>';
            tbody.append( code );
            jQuery('#ph_estimated_delivery_holiday_table .wf_date').datepicker({ dateFormat: 'dd/mm/yy' });
            return false;
        } );

        jQuery('#ph_estimated_delivery_holiday_table .remove').click(function() {
                var tbody = jQuery('#ph_estimated_delivery_holiday_table').find('tbody');
                tbody.find('.check-column input:checked').each(function() {
                        jQuery(this).closest('tr').hide().find('input').val('');
                });
                return false;
        });
        jQuery('#ph_estimated_delivery_holiday_table .time').datepicker({ dateFormat: 'dd/mm/yy' });
        jQuery(window).load(function(){
            var tbody = jQuery('#ph_estimated_delivery_holiday_table').find('tbody');
            var size = tbody.find('tr').length;
            if(size<1)
            {

            }
        });
        jQuery(function(){
            jQuery(".wf_date").datepicker({ dateFormat: 'dd/mm/yy' });
            jQuery(".date-picker").datepicker();

        });
    });
</script>
</body>

<?php 

